StandardServiceSF (Tomcat API Documentation)
Keywords: org.apache.catalina.storeconfig.StandardServiceSF class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.storeconfig
Class StandardServiceSF

    java.lang.Object
      org.apache.catalina.storeconfig.StoreFactoryBase
          org.apache.catalina.storeconfig.StandardServiceSF

All Implemented Interfaces:
  IStoreFactory

public class StandardServiceSF
extends StoreFactoryBase

Store server.xml Element Service and all childs

Author:
  Peter Rossbach (pero@apache.org)

Field Summary

Fields inherited from class org.apache.catalina.storeconfig.StoreFactoryBase
`sm`

Constructor Summary
`StandardServiceSF()`

Method Summary
`void` | `storeChilds(java.io.PrintWriter aWriter, int indent, java.lang.Object aService, StoreDescription parentDesc)` Store Childs from this StandardService description

Methods inherited from class org.apache.catalina.storeconfig.StoreFactoryBase
`getInfo, getRegistry, getStoreAppender, setRegistry, setStoreAppender, store, storeElement, storeElementArray, storeXMLHead`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardServiceSF

    public StandardServiceSF()

Method Detail

### storeChilds

    public void storeChilds(java.io.PrintWriter aWriter,
                            int indent,
                            java.lang.Object aService,
                            StoreDescription parentDesc)
                     throws java.lang.Exception

  Store Childs from this StandardService description

  Overrides:
    `storeChilds` in class `StoreFactoryBase`
  Parameters:
    `aWriter` -
    `indent` -
    `aService` -
    `parentDesc` -
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.